#include "MenuTextMenu_Player2Joystick.h"

InputSetting_Joystick* MenuTextMenu_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextMenu_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_menu;
}

std::weak_ptr<Entity> MenuTextMenu_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextMenu_Player2Joystick()
{
	return std::make_shared<MenuTextMenu_Player2Joystick>();
}


